using TravelCompanyContracts.SearchModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyContracts.BindingModels.TouristBindingModels;
using TravelCompanyContracts.SearchModels.TouristSearchModels;
using TravelCompanyContracts.ViewModels.TouristViewModels;

namespace TravelCompanyContracts.StoragesContracts.TouristStoragesContracts
{
    public interface IPlaceStorage
    {
        List<PlaceViewModel> GetFullList();
        List<PlaceViewModel> GetFilteredList(PlaceSearchModel model);
        PlaceViewModel? GetElement(PlaceSearchModel model);
        PlaceViewModel? Insert(PlaceBindingModel model);
        PlaceViewModel? Update(PlaceBindingModel model);
        PlaceViewModel? Delete(PlaceBindingModel model);
    }
}
